Package org.apache.sling.jackrabbit.usermanager.impl.resource

# Interface AuthorizableResourceProvider.AuthorizableWorker<T>

Enclosing class:
  AuthorizableResourceProvider

protected static interface AuthorizableResourceProvider.AuthorizableWorker<T>
Interface for lambda expressions to do work on a resolved authorizable + optional relative path

## Method Summary

Modifier and Type
Method
Description
`T`
`doWork(@NotNull org.apache.jackrabbit.api.security.user.Authorizable authorizable, @Nullable String relPath)`

## Method Details

### doWork

T doWork(@NotNull @NotNull org.apache.jackrabbit.api.security.user.Authorizable authorizable, @Nullable @Nullable String relPath) throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`